%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")

Name:          xapian-bindings
Version:       1.0.18
Release:       1%{?dist}
Summary:       Bindings for the Xapian Probabilistic Information Retrieval Library

Group:         Development/Libraries
License:       GPLv2+
URL:           http://www.xapian.org/
Source0:       http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python-devel >= 2.2
BuildRequires: ruby-devel ruby
BuildRequires: xapian-core-devel == %{version}

%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for scripts which use Xapian

%package python
Group:         Development/Libraries
Summary:       Files needed for developing Python scripts which use Xapian
Obsoletes:     pyxapian

%description python
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing Python scripts which use Xapian

%package ruby
Group:         Development/Libraries
Summary:       Files needed for developing Ruby scripts which use Xapian

%description ruby
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing Ruby scripts which use Xapian

%prep
%setup -q

%build
%configure --with-python --with-ruby
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# Remove the dev docs, we pick them up below
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%clean
rm -rf %{buildroot}

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc python/docs/examples
%{python_sitearch}/*

%files ruby
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc ruby/docs/rdocs ruby/docs/examples
%{ruby_sitearch}/_xapian.so
%{ruby_sitelib}/xapian.rb

%changelog
* Sun Mar 21 2010 Peter Robinson<pbrobinson@gmail.com> 1.0.18-1
- Update to 1.0.18

* Sat Jan  9 2010 Peter Robinson <pbrobinson@gmail.com> 1.0.17-3
- Updated to the new python sysarch spec file reqs

* Wed Dec  2 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.17-2
- Drop upstreamed patch

* Wed Dec  2 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.17-1
- Update to 1.0.17

* Sat Sep 19 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.16-1
- Update to 1.0.16, some spec file cleanups

* Sun Sep  6 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.15-2
- Patch to fix python bindings build

* Thu Aug 27 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.15-1
- Update to 1.0.15

* Wed Jul 29 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.14-1
- Update to 1.0.14

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun  5 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.13-1
- Update to 1.0.13

* Sun Apr 19 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.12-1
- Update to 1.0.12

* Tue Apr 07 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.11-2
- Obsolete pyxapian

* Mon Apr 06 2009 Peter Robinson<pbrobinson@gmail.com> 1.0.11-1
- Update to 1.0.11

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0.9-2
- Rebuild for Python 2.6

* Sat Nov 29 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.9-1
- Update to 1.0.9

* Sat Oct 11 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.8-1
- Update to 1.0.8

* Mon Jul 28 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.7-2
- Enable ruby bindings RH #456951, patch by Scott Seago

* Sun Jul 20 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.7-1
- Update to 1.0.7

* Sun Mar 30 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.6-1
- Update to 1.0.6

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 1.0.5-2
- Rebuild for gcc-4.3

* Thu Dec 27 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.5-1
- Update to 1.0.5

* Tue Oct 30 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.4-1
- Update to 1.0.4

* Thu Aug 16 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.2-4
- License is GPLv2+ not GPLv2

* Sun Aug 12 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.2-3
- Remove vendor tag RH #251832

* Wed Aug 08 2007 Adel Gadllah <adel.gadllah@gmail.com> 1.0.2-2
- Fix license tag
- Minor cleanups
- Add disttag

* Fri Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Tue Jun 19 2007 Marco Pesenti Gritti <mpg@redhat.com> 1.0.1-2
- Remove req on xapian-bindings

* Mon Jun 18 2007 Marco Pesenti Gritti <mpg@redhat.com> 1.0.1-1
- Initial build
